Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Class MemberDecorator

    java.lang.Object
      de.grogra.reflect.MemberDecorator

All Implemented Interfaces:
  Member

Direct Known Subclasses:
  FieldDecorator, TypeDecorator

    public abstract class MemberDecorator

extends java.lang.Object
implements Member

Field Summary

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`MemberDecorator(Member member)`

Method Summary
`Annotation` | `getDeclaredAnnotation(int index)`
`int` | `getDeclaredAnnotationCount()`
`Type` | `getDeclaringType()` Returns the declaring type of which this is a member.
`Member` | `getDecoratedMember()`
`java.lang.String` | `getDescriptor()` Returns a descriptor for this member.
`int` | `getModifiers()` Returns the modifiers of this member as a combination of the bit masks which are defined in this interface.
`java.lang.String` | `getName()` Returns the name of this member.
`java.lang.String` | `getSimpleName()` Returns the simple name of this member.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberDecorator

    public MemberDecorator(Member member)

Method Detail

### getDeclaredAnnotation

    public Annotation getDeclaredAnnotation(int index)

  Specified by:
    `getDeclaredAnnotation` in interface `Member`

### getDeclaredAnnotationCount

    public int getDeclaredAnnotationCount()

  Specified by:
    `getDeclaredAnnotationCount` in interface `Member`

### getDeclaringType

    public Type getDeclaringType()

  Description copied from interface: `Member`
  Returns the declaring type of which this is a member. May be `null` if such a type does not exist.

  Specified by:
    `getDeclaringType` in interface `Member`
  Returns:
    this member's declaring type

### getDecoratedMember

    public Member getDecoratedMember()

### getDescriptor

    public java.lang.String getDescriptor()

  Description copied from interface: `Member`
  Returns a descriptor for this member. Descriptors are constructed as follows:
  - For types, descriptors are defined as for the Java Virtual Machine. For primitive types these are the single characters 'Z', 'B', 'S', 'C', 'I', 'J', 'F', 'D', 'V' for `boolean`, `byte`, `short`, `char`, `int`, `long`, `float`, `double`, `void`. For array types, the descriptor is the character '[' plus the descriptor of its component type, e.g., `[[I` for `int[][]`. For non-array reference types, the descriptor is the character 'L', followed by the binary name (see `Type.getBinaryName()`) of the type, where '.' has to be replaced by '/', followed by ';', e.g., `Ljava/lang/Object;`.
  - For fields, the descriptor is the character 'f', followed by the simple name of the field, followed by the character ';', followed by the descriptor of the field's type. E.g., `fout;Ljava/io/PrintStream;` for the field `System.out`.
  - For methods and constructors, the descriptor is the character 'm', followed by the simple name of the method (which is `<init>` for constructors), followed by the characters ';' and '(', followed by the descriptors of the method's parameter types, followed by ')', followed by the descriptor of the return type. E.g. `mprintln;(Ljava/lang/String;)V` for the method `PrintStream.println(String)`.

  Specified by:
    `getDescriptor` in interface `Member`
  Returns:
    the member's descriptor

### getModifiers

    public int getModifiers()

  Description copied from interface: `Member`
  Returns the modifiers of this member as a combination of the bit masks which are defined in this interface.

  Specified by:
    `getModifiers` in interface `Member`
  Returns:
    modifiers of this member

### getName

    public java.lang.String getName()

  Description copied from interface: `Member`
  Returns the name of this member. For types, this is the canonical name of the type, e.g, `java.lang.Object`, `java.util.Map.Entry`. Otherwise, it equals `Member.getSimpleName()`.

  Specified by:
    `getName` in interface `Member`
  Returns:
    name of the member

### getSimpleName

    public java.lang.String getSimpleName()

  Description copied from interface: `Member`
  Returns the simple name of this member. This is the single identifier with which the member is declared in source code, e.g., `Object`, `out`, `println`.

  Specified by:
    `getSimpleName` in interface `Member`
  Returns:
    simple name of the member

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD